# Deprecated API

## Contents

- Classes
- Methods
- Constructors

Deprecated Classes
Class
Description
uk.ac.starlink.votable.ColFitsPlusTableWriter
Use `UnifiedFitsTableWriter` instead
uk.ac.starlink.votable.FitsPlusTableWriter
Use `UnifiedFitsTableWriter` instead
uk.ac.starlink.votable.VOTableFitsTableWriter
Use `UnifiedFitsTableWriter` instead

Deprecated Methods
Method
Description
uk.ac.starlink.votable.VOSerializer.makeSerializer(DataFormat, StarTable)
use instead `VOSerializer.makeSerializer(VOSerializerConfig, uk.ac.starlink.table.StarTable)`
uk.ac.starlink.votable.VOSerializer.makeSerializer(DataFormat, VOTableVersion, StarTable)
use instead `VOSerializer.makeSerializer(VOSerializerConfig, uk.ac.starlink.table.StarTable)`

Deprecated Constructors
Constructor
Description
uk.ac.starlink.votable.ColFitsPlusTableWriter(String, WideFits)
allows some configuration options but not others; use no-arg constructor and configuration methods instead
uk.ac.starlink.votable.FitsPlusTableWriter(String, WideFits)
allows some configuration options but not others; use no-arg constructor and configuration methods instead